#!/bin/bash

# run postmap on all configured lookup tables

postconf -h \
	 postscreen_access_list \
	 postscreen_dnsbl_reply_map \
	 smtpd_client_restrictions \
	 smtpd_helo_restrictions \
	 smtpd_recipient_restrictions \
	 virtual_alias_maps \
	 virtual_mailbox_maps \
    | sed "s/,/\n/g" | sed "s/ /\n/g" | sort | uniq \
    | egrep '(hash|ldap|pcre):' \
    | xargs postmap
